1. Contact
Hatif
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts [Complex]
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Delete Contact
      DELETE
    • Create Bulk Contacts vCards
      POST
    • Create Contact
      POST
    • Get Contacts Search
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
      GET
    • Delete Contact Property
      DELETE
    • Update Contact Property
      PUT
    • Create Contact Property
      POST
    • Contact Properties Statistics
      GET
  • Support API
    • Upload Audio File
      POST
  • Outbound IVR API
    • Create Outbound IVR
      POST
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
  • Tags API
    • Create Tag
    • Delete Tag
    • Update Tag
    • List Tags
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ConversationDto
    • CreateTagDto
    • ChannelConversationDto
    • UpdateTagDto
    • TagDto
    • ConversationTimelineDto
    • PagedResultOfTagDto
    • AiSummaryDto
    • ReplyInfoDto
    • InternalThreadDto
    • LocationMessageDto
    • AssignationInfoDto
    • PagedResultOfConversationDto
    • PagedResultOfConversationTimelineDto
  1. Contact

Contacts History

Developing
GET
/v1/contacts/3a1ca96b-4a88-d947-725d-3fae66b3850d/history

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.voxa.sa/v1/contacts/3a1ca96b-4a88-d947-725d-3fae66b3850d/history' \
--header 'Authorization: Bearer <token>'
Response Response Example
{"totalCount":2,"items":[{"id":"3a1fbb66-4353-8878-5129-aa7439c7e2db","propertyName":"Company","oldValue":null,"newValue":"شركة واو","creationTime":"2026-03-01T14:47:18.501081","creatorId":"3a1813e8-790f-26ac-c4b3-3a068eb70b08"},{"id":"3a1fbb66-4350-11a9-8b03-4112bb5f06d5","propertyName":"Email","oldValue":null,"newValue":"yousuf@test.com","creationTime":"2026-03-01T14:47:18.500643","creatorId":"3a1813e8-790f-26ac-c4b3-3a068eb70b08"}]}
Modified at 2026-03-01 13:04:30
Previous
Get Contacts Search
Next
List Contact Properties
Built with